Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  object BackendReporting

  Utilities for error reporting.

  Utilities for error reporting.

  Defines some utility methods to make error reporting with Either easier.

  Definition Classes
    jvm
- CalleeInfoWarning
- CalleeNotFinal
- CannotInlineWarning
- ClassInlineInfoWarning
- ClassNotFound
- ClassNotFoundWhenBuildingInlineInfoFromSymbol
- ClassSymbolInfoFailureSI9111
- FieldNotFound
- IllegalAccessCheckFailed
- IllegalAccessInstruction
- Invalid
- MethodInlineInfoError
- MethodInlineInfoIncomplete
- MethodInlineInfoMissing
- MethodNotFound
- MethodWithHandlerCalledOnNonEmptyStack
- MissingBytecodeWarning
- NoClassBTypeInfo
- NoClassBTypeInfoClassSymbolInfoFailedSI9111
- NoClassBTypeInfoMissingBytecode
- NoInlineInfoAttribute
- OptimizerWarning
- ResultingMethodTooLarge
- RewriteClosureAccessCheckFailed
- RewriteClosureApplyToClosureBodyFailed
- RewriteClosureIllegalAccess
- RightBiasedEither
- StrictfpMismatch
- SynchronizedMethod
- UnknownInvokeDynamicInstruction
- UnknownScalaInlineInfoVersion
- emptyOptimizerWarning

c

scala.tools.nsc.backend.jvm.BackendReporting

# IllegalAccessInstruction 

###

#### case class IllegalAccessInstruction(calleeDeclarationClass: InternalName, name: String, descriptor: String, annotatedInline: Boolean, callsiteClass: InternalName, instruction: AbstractInsnNode) extends CannotInlineWarning with Product with Serializable

Source
  BackendReporting.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, CannotInlineWarning, OptimizerWarning, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IllegalAccessInstruction
2. Serializable
3. Serializable
4. Product
5. Equals
6. CannotInlineWarning
7. OptimizerWarning
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new IllegalAccessInstruction(calleeDeclarationClass: InternalName, name: String, descriptor: String, annotatedInline: Boolean, callsiteClass: InternalName, instruction: AbstractInsnNode)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from IllegalAccessInstruction to any2stringadd[IllegalAccessInstruction] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (IllegalAccessInstruction, B)
   Implicit
     This member is added by an implicit conversion from IllegalAccessInstruction to ArrowAssoc[IllegalAccessInstruction] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val annotatedInline: Boolean
   Definition Classes
     IllegalAccessInstruction → CannotInlineWarning
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val calleeDeclarationClass: InternalName
   Definition Classes
     IllegalAccessInstruction → CannotInlineWarning
9.  def calleeMethodSig: String
   Definition Classes
     CannotInlineWarning
10.  val callsiteClass: InternalName
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  val descriptor: String
    Definition Classes
      IllegalAccessInstruction → CannotInlineWarning
13.  def emitWarning(settings: ScalaSettings): Boolean
    Definition Classes
      CannotInlineWarning → OptimizerWarning
14.  def ensuring(cond: (IllegalAccessInstruction) ⇒ Boolean, msg: ⇒ Any): IllegalAccessInstruction
    Implicit
      This member is added by an implicit conversion from IllegalAccessInstruction to Ensuring[IllegalAccessInstruction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (IllegalAccessInstruction) ⇒ Boolean): IllegalAccessInstruction
    Implicit
      This member is added by an implicit conversion from IllegalAccessInstruction to Ensuring[IllegalAccessInstruction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: ⇒ Any): IllegalAccessInstruction
    Implicit
      This member is added by an implicit conversion from IllegalAccessInstruction to Ensuring[IllegalAccessInstruction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): IllegalAccessInstruction
    Implicit
      This member is added by an implicit conversion from IllegalAccessInstruction to Ensuring[IllegalAccessInstruction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from IllegalAccessInstruction to StringFormat[IllegalAccessInstruction] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  val instruction: AbstractInsnNode
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  val name: String
    Definition Classes
      IllegalAccessInstruction → CannotInlineWarning
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      CannotInlineWarning → AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  def →[B](y: B): (IllegalAccessInstruction, B)
    Implicit
      This member is added by an implicit conversion from IllegalAccessInstruction to ArrowAssoc[IllegalAccessInstruction] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CannotInlineWarning

### Inherited from OptimizerWarning

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from IllegalAccessInstruction to any2stringadd[IllegalAccessInstruction]

### Inherited by implicit conversion StringFormat from IllegalAccessInstruction to StringFormat[IllegalAccessInstruction]

### Inherited by implicit conversion Ensuring from IllegalAccessInstruction to Ensuring[IllegalAccessInstruction]

### Inherited by implicit conversion ArrowAssoc from IllegalAccessInstruction to ArrowAssoc[IllegalAccessInstruction]

### Ungrouped